/*

Copyright (C) 2002-2003, Jeffrey D. Argast.

The authors make NO WARRANTY or representation, either express or implied,
with respect to this software, its quality, accuracy, merchantability, or
fitness for a particular purpose.  This software is provided "AS IS", and you,
its user, assume the entire risk as to its quality and accuracy.

Permission is hereby granted to use, copy, modify, and distribute this
software or portions thereof for any purpose, without fee, subject to these
conditions:

(1) If any part of the source code is distributed, then this
statement must be included, with this copyright and no-warranty notice
unaltered.

(2) Permission for use of this software is granted only if the user accepts
full responsibility for any undesirable consequences; the authors accept
NO LIABILITY for damages of any kind.

*/

#import "PerforceActionLabels.h"
#import "PerforceOutputParsers.h"


@implementation PerforceActionLabels

+ (void) defaultRunFor:(id)owner selector:(SEL)aSelector
{
	PerforceActionLabels* action = [[[PerforceActionLabels alloc] init] autorelease];
	
	[action runFor:owner selector:aSelector];
}

- (void) dealloc
{
	[fOwner release];
	[fLabelsArray release];
	
	[super dealloc];
}

- (void) processOutput: (NSString*) perforceOutput
{
	fLabelsArray = [[PerforceOutputParsers parseLabelsOutput:perforceOutput] retain];
}

- (void) runFor:(id)owner selector:(SEL)aSelector
{
    NSMutableArray* commandAndArgs = [[[NSMutableArray alloc] init] autorelease];
	
	fOwner    = [owner retain];
	fSelector = aSelector;

	[commandAndArgs addObject:@"labels"];

    [self runAction:commandAndArgs stdInString:nil readToEOF:YES];
}

- (NSArray*) getLabels
{
	return fLabelsArray;
}


@end
